Bug 7488 - Проблема с primus x64
: Проблема с primus x64
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-06 19:35 MSK by barssc
Modified: 2016-12-07 12:36 MSK (History)
4 users (show)

See Also:
RPM Package: primus
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
Универсальный скрипт запуска primus (1.20 KB, text/plain)
2016-11-06 19:35 MSK, barssc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description barssc 2016-11-06 19:35:45 MSK
Created attachment 4560 [details]
Универсальный скрипт запуска primus

Здравствуйте. Некоторые игры в steam не запускаются через primusrun выдавая ошибку про недостаточную версию OpenGL. Покопавшись в проблеме выяснилось, что устанавливается у нас 64 разрядный primus, а 32 разрядный в репах есть,но для установки не предлагается, как следствие отсутствует 32 битная библиотека /usr/lib/primus/LibGL.so.1. Это пол беды, оказывается у 32 и 64 разрядных primus разные скрипты запуска, что не есть хорошо. Предлагаю изменить скрипт запуска на универсальный и включить или пересобрать 32 битную библиотеку для 64 разрядных систем.
Универсальный скрипт запуска приложен. Тема на форуме http://forum.rosalab.ru/viewtopic.php?f=42&t=7690&p=78043#p78043
Comment 1 Eugene Shatokhin 2016-11-22 12:45:31 MSK
Advisory:
primus was updated to make it easier to install and use it for 32-bit applications (e.g. games in Steam) on 64-bit systems. Its libGL library is now in a separate package. To install the 32-bit library provided by primus on a 64-bit system, one can execute "urpmi libprimus_gl1" or, easier to remember, "urpmi primus-lib32".


Build lists:
https://abf.io/build_lists/2756858
https://abf.io/build_lists/2756859
Comment 2 VictorR2007 2016-11-23 18:58:59 MSK
К сожалению, эта версия не работает с обновлёнными пакетами в x11_backports_personal, а так-же на Роса 2016.1.
Собрал версию, которая работает в обоих случаях.
Проверил и на x11_backports_personal, и на 2016.1.
https://abf.rosalinux.ru/victorr2007/primus
Если будет нужно, могу сделать пул-реквест,
или может сами посмотрите, и сделаете как надо.
Comment 3 Eugene Shatokhin 2016-11-24 18:40:49 MSK
(In reply to comment #2)
> К сожалению, эта версия не работает с обновлёнными пакетами в
> x11_backports_personal, а так-же на Роса 2016.1.
> Собрал версию, которая работает в обоих случаях.
> Проверил и на x11_backports_personal, и на 2016.1.
> https://abf.rosalinux.ru/victorr2007/primus
> Если будет нужно, могу сделать пул-реквест,
> или может сами посмотрите, и сделаете как надо.

Я правильно понимаю, что просто обновили primus до свежей версии из upstream git'а + добавили primus-git-build-with-ldflags.patch?

По проекту victorr2007/primus непонятно, что ещё менялось.
Comment 4 VictorR2007 2016-11-24 19:54:20 MSK
В гит нет обновлений.
Начал искать в дистрибутивах, которые раньше нас обновили графику,
в надежде, что там уже столкнулись с этой проблемой, и нашли решение.
Посмотрел в репах разрабатываемой Magei, и взял у них src.
Но пригодились только исходники primus, и один патч.
У них собран немного по другому, а я хотел сделать так,
как у нас.
В итоге оказалось, что primus начал работать, и так, как планировалось
в этой теме.
Comment 5 VictorR2007 2016-11-24 20:54:13 MSK
Нашёл всё-таки ссылку на исходники из гит
https://github.com/amonakov/primus/archive/v0.2/primus-0.2.tar.gz
Comment 6 VictorR2007 2016-11-25 15:06:38 MSK
(In reply to comment #3)
> Я правильно понимаю, что просто обновили primus до свежей версии из upstream
> git'а + добавили primus-git-build-with-ldflags.patch?
> 
> По проекту victorr2007/primus непонятно, что ещё менялось.
Похоже, не верно понял вопрос, и написал много лишнего.
Да, только добавил новые исходники и патч,
остальное не трогал.
Приложения, требующие primus-lib32 работают.
И субьективно, вроде лучше, чем ранее.
Такое ощущение, что нагрузка на систему стала меньше.
Comment 7 Eugene Shatokhin 2016-11-25 20:34:03 MSK
Всё в порядке, спасибо, что проверили. Да, у нас primus был слишком старым. Я собрал теперь версию 0.2.
Comment 8 Eugene Shatokhin 2016-11-25 20:36:12 MSK
Advisory:
primus was updated to version 0.2. In addition, changes were made to make it easier to install and use primus for 32-bit applications (e.g. games in Steam) on 64-bit systems. Its libGL library is now in a separate package. To install the 32-bit library provided by primus on a 64-bit system, one can execute "urpmi libprimus_gl1" or, easier to remember, "urpmi primus-lib32".


Build lists:
https://abf.io/build_lists/2758883
https://abf.io/build_lists/2758884
Comment 9 Vladimir Potapov 2016-11-29 19:22:43 MSK
The update is sent to expanded testing
****************************************
Comment 10 Vladimir Potapov 2016-12-06 19:21:18 MSK
primus-0.2-1
https://abf.io/build_lists/2758883
https://abf.io/build_lists/2758884
************************* Advisory *******************************
primus was updated to version 0.2. In addition, changes were made to make it easier to install and use primus for 32-bit applications (e.g. games in Steam) on 64-bit systems. Its libGL library is now in a separate package. To install the 32-bit library provided by primus on a 64-bit system, one can execute "urpmi libprimus_gl1" or, easier to remember, "urpmi primus-lib32".
*******************************************************************
QA Verified